<?php

add_action('admin_init', 'copyHtaccessInterval', 20);

function copyHtaccessInterval()
{

// check if transient is valid
    if (!$htaccess = get_transient('puddinq-nl-htaccess')) {

// copy htaccess from /wp/ to root
        $wp_htaccess_content = file_get_contents(ABSPATH . '.htaccess');
        $filtered_htaccess_content = trim(preg_replace('/\# BEGIN WordPress[\s\S]+?# END WordPress/si', '',
            $wp_htaccess_content));

        $root_htaccess_sample = file_get_contents(str_replace('wp/', '', ABSPATH) . '.htaccess-sample');

        file_put_contents(str_replace('wp/', '', get_home_path()) . '.htaccess',
            $filtered_htaccess_content . "\n\n" . $root_htaccess_sample);

        $htaccess = true;
// set transient for a week
        set_transient('puddinq-nl-htaccess', $htaccess, 604800);
    }

}